
<div>
  <div *ngIf="items?.length > 0" class="mt-5">
    <div class="md:block hidden">
      <div class="p-0 w-auto object-fill relative" > 
        <ion-slides #slider class="h-full w-full" pager="true" pager="false" *ngIf="items?.length==1" [options]="slideCustomerReviewsOpts1">
          <ion-slide *ngFor="let item of items">
            <a class="px-6 pt-4 md:pt-6 cursor-pointer" [routerLink]="'/product-detail/'+item.node.id">
              <div class="flex md:h-60  justify-center">
                <img [src]="item.node.thumbnail" class="object-contain h-40 md:h-60 " [alt]="item.node.name">
              </div>
              <div class="text-center">
                <p class="text-xl truncate">{{ item.node.name}}</p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length > 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                    {{(item.node.flashSaleProduct?.edges[0].node.price) | currency: 'VND':'code':'0.0-2':'vi'}} 
                  <span class="line-through text-gray-300">{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length == 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                  <span>{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
            </a>

          </ion-slide>
        </ion-slides>
        <ion-slides #slider class="h-full w-full" pager="true" pager="false" *ngIf="items?.length==2" [options]="slideCustomerReviewsOpts2">
          <ion-slide *ngFor="let item of items">
            <a class="px-6 pt-4 md:pt-6 cursor-pointer" [routerLink]="'/product-detail/'+item.node.id">
              <div class="flex md:h-60  justify-center">
                <img [src]="item.node.thumbnail" class="object-contain h-40 md:h-60 " [alt]="item.node.name">
              </div>
              <div class="text-center">
                <p class="text-xl truncate">{{ item.node.name}}</p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length > 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                    {{(item.node.flashSaleProduct?.edges[0].node.price) | currency: 'VND':'code':'0.0-2':'vi'}} 
                  <span class="line-through text-gray-300">{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length == 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                  <span>{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
            </a>

          </ion-slide>
        </ion-slides>
        <ion-slides #slider class="h-full w-full" pager="true" pager="false" *ngIf="items?.length==3" [options]="slideCustomerReviewsOpts3">
          <ion-slide *ngFor="let item of items">
            <a class="px-6 pt-4 md:pt-6 cursor-pointer" [routerLink]="'/product-detail/'+item.node.id">
              <div class="flex md:h-60  justify-center">
                <img [src]="item.node.thumbnail" class="object-contain h-40 md:h-60 " [alt]="item.node.name">
              </div>
              <div class="text-center">
                <p class="text-xl truncate">{{ item.node.name}}</p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length > 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                    {{(item.node.flashSaleProduct?.edges[0].node.price) | currency: 'VND':'code':'0.0-2':'vi'}} 
                  <span class="line-through text-gray-300">{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length == 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                  <span>{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
            </a>

          </ion-slide>
        </ion-slides>
        <ion-slides #slider class="h-full w-full" pager="true" pager="false" *ngIf="items?.length>=4" [options]="slideCustomerReviewsOpts4">
          <ion-slide *ngFor="let item of items">
            <a class="px-6 pt-4 md:pt-6 cursor-pointer" [routerLink]="'/product-detail/'+item.node.id">
              <div class="flex md:h-60  justify-center">
                <img [src]="item.node.thumbnail" class="object-contain h-40 md:h-60 " [alt]="item.node.name">
              </div>
              <div class="text-center">
                <p class="text-xl truncate">{{ item.node.name}}</p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length > 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                    {{(item.node.flashSaleProduct?.edges[0].node.price) | currency: 'VND':'code':'0.0-2':'vi'}} 
                  <span class="line-through text-gray-300">{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length == 0">
                <p class="text-center  text-xl pb-2 font-medium" >
                  <span>{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
            </a>

          </ion-slide>
        </ion-slides>
        <button class="pr-4 focus:outline-none absolute top-1/3 -left-4" (click)="swipePrev()">
          <ion-icon class="text-2xl text-gray-400 hover:text-black" name="chevron-back-outline">
          </ion-icon>
        </button>
        <button class="pl-4 focus:outline-none absolute top-1/3 -right-4" (click)="swipeNext()">
          <ion-icon class="text-2xl text-gray-400 hover:text-black" name="chevron-forward-outline">
          </ion-icon>
        </button>
      </div>
      
    </div>
    <div class="block md:hidden">
      <div class="p-0 w-auto object-fill relative" > 
        <ion-slides #sliderSm class="h-full w-72" pager="true" pager="false" [options]="slideCustomerReviewsOpts" >
          <ion-slide *ngFor="let item of items">
            <a class="px-6 pt-4 md:pt-6 cursor-pointer" [routerLink]="'/product-detail/'+item.node.id">
              <div class="flex md:h-60 h-40 justify-center">
                <img [src]="item.node.thumbnail" class="object-contain h-40 md:h-60 " [alt]="item.node.name">
              </div>
              <div>
                <p>{{ item.node.name}}</p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length > 0">
                <p class="text-center  text-xl pb-2" >
                    {{(item.node.flashSaleProduct?.edges[0].node.price) | currency: 'VND':'code':'0.0-2':'vi'}} 
                  <span class="line-through text-gray-300">{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>
              <div *ngIf="item.node.flashSaleProduct?.edges.length == 0">
                <p class="text-center  text-xl pb-2" >
                  <span>{{ item.node.price | currency: 'VND':'code':'0.0-2':'vi'}}
                    </span>
                </p>
              </div>

            </a>

          </ion-slide>
        </ion-slides>
        <button class="pr-4 focus:outline-none absolute top-1/3 left-3" (click)="swipePrevSm()">
          <ion-icon class="text-2xl text-gray-400 hover:text-black" name="chevron-back-outline">
          </ion-icon>
        </button>
        <button class="pl-4 focus:outline-none absolute top-1/3 right-3" (click)="swipeNextSm()">
          <ion-icon class="text-2xl text-gray-400 hover:text-black" name="chevron-forward-outline">
          </ion-icon>
        </button>
      </div>
      
    </div>
  </div>
</div>